XENNET(4)

NAME
xennet - Xen frontend paravirtualized network interface

SYNOPSIS
xennet* at xenbus?

DESCRIPTION
The xennet interface forms the frontend part of the paravirtualized drivers used by Xen guest domains to have network connectivity.

When the host domain is NetBSD, the endpoint of the xennet interface is a xvif(4) interface. In the XenStore, xvif and xennet are identified by “vif” (virtual interface) entries.

Conceptually, frontends and backends drivers are similar to two Ethernet cards connected via a crossover cable.

DIAGNOSTICS

xennet%d: can't read mac address, err %d The MAC address for this interface could not be read from XenStore.

xennet%d: %s is not a valid mac address The MAC address specified in the configuration file of the newly created guest domain is invalid.

xennet%d: using event channel %d The Xen event channel (virtual interrupt) ID associated to this xennet.

xennet%d: using RX copy mode The xennet and its associated endpoint use copy mode for communication: packets are copied from one domain's memory to another.

xennet%d: using RX flip mode The xennet and its associated endpoint use flip mode for communication: packets are passed by remapping memory pages between domains.

SEE ALSO
ifmedia(4), xenbus(4), xvif(4), ifconfig(8)

HISTORY
The xennet driver first appeared in NetBSD 3.0.

AUTHORS
-nosplit The xennet driver was written by Manuel Bouyer <bouyer@NetBSD.org> and Christian Limpach <chris@pin.lu>.